> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/references/console/backup-schedule.md).

# Backup Schedule

## Retrieve all backup schedules

> This endpoint is deprecated since 2025.05 and will be removed in the future. Please use GET /consoleExportSchedule

```json
{"openapi":"3.0.3","info":{"title":"Collibra Management Console","version":"v1"},"servers":[{"url":"/rest"}],"paths":{"/backupSchedule":{"get":{"deprecated":true,"description":"This endpoint is deprecated since 2025.05 and will be removed in the future. Please use GET /consoleExportSchedule","operationId":"getAll","responses":{"default":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/BackupScheduleModel"}}}},"description":"default response"}},"summary":"Retrieve all backup schedules","tags":["backup-schedule"]}}},"components":{"schemas":{"BackupScheduleModel":{"type":"object","properties":{"createdDate":{"type":"string","format":"date-time"},"cronExpression":{"type":"string"},"description":{"type":"string"},"dgcBackupOptions":{"type":"array","items":{"type":"string","enum":["CONFIGURATION","CUSTOMIZATIONS"]},"uniqueItems":true},"environmentId":{"type":"string","format":"uuid"},"frequencyWarning":{"type":"string"},"id":{"type":"string","format":"uuid"},"maxRetained":{"type":"integer","format":"int32"},"modifiedDate":{"type":"string","format":"date-time"},"name":{"type":"string"},"nextExecution":{"type":"string","format":"date-time"},"numberOfBackups":{"type":"integer","format":"int32"},"repoBackupOptions":{"type":"array","items":{"type":"string","enum":["DATA","HISTORY"]},"uniqueItems":true},"retentionDays":{"type":"integer","format":"int32","enum":[7,30,60]},"serverTimeZoneOffset":{"type":"object","properties":{"id":{"type":"string"},"rules":{"type":"object","properties":{"fixedOffset":{"type":"boolean"},"transitionRules":{"type":"array","items":{"type":"object","properties":{"dayOfMonthIndicator":{"type":"integer","format":"int32"},"dayOfWeek":{"type":"string","enum":["MONDAY","TUESDAY","WEDNESDAY","THURSDAY","FRIDAY","SATURDAY","SUNDAY"]},"localTime":{"$ref":"#/components/schemas/LocalTime"},"midnightEndOfDay":{"type":"boolean"},"month":{"type":"string","enum":["JANUARY","FEBRUARY","MARCH","APRIL","MAY","JUNE","JULY","AUGUST","SEPTEMBER","OCTOBER","NOVEMBER","DECEMBER"]},"offsetAfter":{"type":"object","properties":{"id":{"type":"string"},"totalSeconds":{"type":"integer","format":"int32"}}},"offsetBefore":{"type":"object","properties":{"id":{"type":"string"},"totalSeconds":{"type":"integer","format":"int32"}}},"standardOffset":{"type":"object","properties":{"id":{"type":"string"},"totalSeconds":{"type":"integer","format":"int32"}}},"timeDefinition":{"type":"string","enum":["UTC","WALL","STANDARD"]}}}},"transitions":{"type":"array","items":{"type":"object","properties":{"dateTimeAfter":{"type":"string","format":"date-time"},"dateTimeBefore":{"type":"string","format":"date-time"},"duration":{"type":"object","properties":{"nano":{"type":"integer","format":"int32"},"negative":{"type":"boolean"},"positive":{"type":"boolean"},"seconds":{"type":"integer","format":"int64"},"units":{"type":"array","items":{"type":"object","properties":{"dateBased":{"type":"boolean"},"durationEstimated":{"type":"boolean"},"timeBased":{"type":"boolean"}}}},"zero":{"type":"boolean"}}},"gap":{"type":"boolean"},"instant":{"type":"string","format":"date-time"},"offsetAfter":{"type":"object","properties":{"id":{"type":"string"},"totalSeconds":{"type":"integer","format":"int32"}}},"offsetBefore":{"type":"object","properties":{"id":{"type":"string"},"totalSeconds":{"type":"integer","format":"int32"}}},"overlap":{"type":"boolean"}}}}}},"totalSeconds":{"type":"integer","format":"int32"}}}}},"LocalTime":{"type":"object","properties":{"hour":{"type":"integer","format":"int32"},"minute":{"type":"integer","format":"int32"},"nano":{"type":"integer","format":"int32"},"second":{"type":"integer","format":"int32"}}}}}}
```

## Create a backup schedule

> This endpoint is deprecated since 2025.05 and will be removed in the future. Please use POST /consoleExportSchedule

```json
{"openapi":"3.0.3","info":{"title":"Collibra Management Console","version":"v1"},"servers":[{"url":"/rest"}],"paths":{"/backupSchedule":{"post":{"deprecated":true,"description":"This endpoint is deprecated since 2025.05 and will be removed in the future. Please use POST /consoleExportSchedule","operationId":"create","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BackupScheduleCreateRequest"}}},"description":"The model from which to create the schedule"},"responses":{"201":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BackupScheduleModel"}}},"description":"successful operation"}},"summary":"Create a backup schedule","tags":["backup-schedule"]}}},"components":{"schemas":{"BackupScheduleCreateRequest":{"type":"object","properties":{"cronExpression":{"type":"string"},"description":{"type":"string"},"dgcBackupOptions":{"type":"array","items":{"type":"string","enum":["CONFIGURATION","CUSTOMIZATIONS"]},"uniqueItems":true},"environmentId":{"type":"string","format":"uuid"},"maxRetained":{"type":"integer","format":"int32"},"name":{"type":"string"},"repoBackupOptions":{"type":"array","items":{"type":"string","enum":["DATA","HISTORY"]},"uniqueItems":true},"retentionDays":{"type":"integer","format":"int32","enum":[7,30,60]}}},"BackupScheduleModel":{"type":"object","properties":{"createdDate":{"type":"string","format":"date-time"},"cronExpression":{"type":"string"},"description":{"type":"string"},"dgcBackupOptions":{"type":"array","items":{"type":"string","enum":["CONFIGURATION","CUSTOMIZATIONS"]},"uniqueItems":true},"environmentId":{"type":"string","format":"uuid"},"frequencyWarning":{"type":"string"},"id":{"type":"string","format":"uuid"},"maxRetained":{"type":"integer","format":"int32"},"modifiedDate":{"type":"string","format":"date-time"},"name":{"type":"string"},"nextExecution":{"type":"string","format":"date-time"},"numberOfBackups":{"type":"integer","format":"int32"},"repoBackupOptions":{"type":"array","items":{"type":"string","enum":["DATA","HISTORY"]},"uniqueItems":true},"retentionDays":{"type":"integer","format":"int32","enum":[7,30,60]},"serverTimeZoneOffset":{"type":"object","properties":{"id":{"type":"string"},"rules":{"type":"object","properties":{"fixedOffset":{"type":"boolean"},"transitionRules":{"type":"array","items":{"type":"object","properties":{"dayOfMonthIndicator":{"type":"integer","format":"int32"},"dayOfWeek":{"type":"string","enum":["MONDAY","TUESDAY","WEDNESDAY","THURSDAY","FRIDAY","SATURDAY","SUNDAY"]},"localTime":{"$ref":"#/components/schemas/LocalTime"},"midnightEndOfDay":{"type":"boolean"},"month":{"type":"string","enum":["JANUARY","FEBRUARY","MARCH","APRIL","MAY","JUNE","JULY","AUGUST","SEPTEMBER","OCTOBER","NOVEMBER","DECEMBER"]},"offsetAfter":{"type":"object","properties":{"id":{"type":"string"},"totalSeconds":{"type":"integer","format":"int32"}}},"offsetBefore":{"type":"object","properties":{"id":{"type":"string"},"totalSeconds":{"type":"integer","format":"int32"}}},"standardOffset":{"type":"object","properties":{"id":{"type":"string"},"totalSeconds":{"type":"integer","format":"int32"}}},"timeDefinition":{"type":"string","enum":["UTC","WALL","STANDARD"]}}}},"transitions":{"type":"array","items":{"type":"object","properties":{"dateTimeAfter":{"type":"string","format":"date-time"},"dateTimeBefore":{"type":"string","format":"date-time"},"duration":{"type":"object","properties":{"nano":{"type":"integer","format":"int32"},"negative":{"type":"boolean"},"positive":{"type":"boolean"},"seconds":{"type":"integer","format":"int64"},"units":{"type":"array","items":{"type":"object","properties":{"dateBased":{"type":"boolean"},"durationEstimated":{"type":"boolean"},"timeBased":{"type":"boolean"}}}},"zero":{"type":"boolean"}}},"gap":{"type":"boolean"},"instant":{"type":"string","format":"date-time"},"offsetAfter":{"type":"object","properties":{"id":{"type":"string"},"totalSeconds":{"type":"integer","format":"int32"}}},"offsetBefore":{"type":"object","properties":{"id":{"type":"string"},"totalSeconds":{"type":"integer","format":"int32"}}},"overlap":{"type":"boolean"}}}}}},"totalSeconds":{"type":"integer","format":"int32"}}}}},"LocalTime":{"type":"object","properties":{"hour":{"type":"integer","format":"int32"},"minute":{"type":"integer","format":"int32"},"nano":{"type":"integer","format":"int32"},"second":{"type":"integer","format":"int32"}}}}}}
```

## Retrieve all backup schedules for the given environment

> This endpoint is deprecated since 2025.05 and will be removed in the future. Please use GET /consoleExportSchedule/environment/{environmentId}

```json
{"openapi":"3.0.3","info":{"title":"Collibra Management Console","version":"v1"},"servers":[{"url":"/rest"}],"paths":{"/backupSchedule/environment/{environmentId}":{"get":{"deprecated":true,"description":"This endpoint is deprecated since 2025.05 and will be removed in the future. Please use GET /consoleExportSchedule/environment/{environmentId}","operationId":"getByEnvironmentId","parameters":[{"description":"The id of the environment","in":"path","name":"environmentId","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/BackupScheduleModel"}}}},"description":"List of backup schedules for the given environment"},"204":{"description":"No backup schedules for the given environment"},"404":{"description":"Environment could not be found"}},"summary":"Retrieve all backup schedules for the given environment","tags":["backup-schedule"]}}},"components":{"schemas":{"BackupScheduleModel":{"type":"object","properties":{"createdDate":{"type":"string","format":"date-time"},"cronExpression":{"type":"string"},"description":{"type":"string"},"dgcBackupOptions":{"type":"array","items":{"type":"string","enum":["CONFIGURATION","CUSTOMIZATIONS"]},"uniqueItems":true},"environmentId":{"type":"string","format":"uuid"},"frequencyWarning":{"type":"string"},"id":{"type":"string","format":"uuid"},"maxRetained":{"type":"integer","format":"int32"},"modifiedDate":{"type":"string","format":"date-time"},"name":{"type":"string"},"nextExecution":{"type":"string","format":"date-time"},"numberOfBackups":{"type":"integer","format":"int32"},"repoBackupOptions":{"type":"array","items":{"type":"string","enum":["DATA","HISTORY"]},"uniqueItems":true},"retentionDays":{"type":"integer","format":"int32","enum":[7,30,60]},"serverTimeZoneOffset":{"type":"object","properties":{"id":{"type":"string"},"rules":{"type":"object","properties":{"fixedOffset":{"type":"boolean"},"transitionRules":{"type":"array","items":{"type":"object","properties":{"dayOfMonthIndicator":{"type":"integer","format":"int32"},"dayOfWeek":{"type":"string","enum":["MONDAY","TUESDAY","WEDNESDAY","THURSDAY","FRIDAY","SATURDAY","SUNDAY"]},"localTime":{"$ref":"#/components/schemas/LocalTime"},"midnightEndOfDay":{"type":"boolean"},"month":{"type":"string","enum":["JANUARY","FEBRUARY","MARCH","APRIL","MAY","JUNE","JULY","AUGUST","SEPTEMBER","OCTOBER","NOVEMBER","DECEMBER"]},"offsetAfter":{"type":"object","properties":{"id":{"type":"string"},"totalSeconds":{"type":"integer","format":"int32"}}},"offsetBefore":{"type":"object","properties":{"id":{"type":"string"},"totalSeconds":{"type":"integer","format":"int32"}}},"standardOffset":{"type":"object","properties":{"id":{"type":"string"},"totalSeconds":{"type":"integer","format":"int32"}}},"timeDefinition":{"type":"string","enum":["UTC","WALL","STANDARD"]}}}},"transitions":{"type":"array","items":{"type":"object","properties":{"dateTimeAfter":{"type":"string","format":"date-time"},"dateTimeBefore":{"type":"string","format":"date-time"},"duration":{"type":"object","properties":{"nano":{"type":"integer","format":"int32"},"negative":{"type":"boolean"},"positive":{"type":"boolean"},"seconds":{"type":"integer","format":"int64"},"units":{"type":"array","items":{"type":"object","properties":{"dateBased":{"type":"boolean"},"durationEstimated":{"type":"boolean"},"timeBased":{"type":"boolean"}}}},"zero":{"type":"boolean"}}},"gap":{"type":"boolean"},"instant":{"type":"string","format":"date-time"},"offsetAfter":{"type":"object","properties":{"id":{"type":"string"},"totalSeconds":{"type":"integer","format":"int32"}}},"offsetBefore":{"type":"object","properties":{"id":{"type":"string"},"totalSeconds":{"type":"integer","format":"int32"}}},"overlap":{"type":"boolean"}}}}}},"totalSeconds":{"type":"integer","format":"int32"}}}}},"LocalTime":{"type":"object","properties":{"hour":{"type":"integer","format":"int32"},"minute":{"type":"integer","format":"int32"},"nano":{"type":"integer","format":"int32"},"second":{"type":"integer","format":"int32"}}}}}}
```

## Retrieve a backup schedule

> This endpoint is deprecated since 2025.05 and will be removed in the future. Please use GET /consoleExportSchedule/{id}

```json
{"openapi":"3.0.3","info":{"title":"Collibra Management Console","version":"v1"},"servers":[{"url":"/rest"}],"paths":{"/backupSchedule/{id}":{"get":{"deprecated":true,"description":"This endpoint is deprecated since 2025.05 and will be removed in the future. Please use GET /consoleExportSchedule/{id}","operationId":"getById_1","parameters":[{"description":"The id of the schedule","in":"path","name":"id","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"default":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BackupScheduleModel"}}},"description":"default response"}},"summary":"Retrieve a backup schedule","tags":["backup-schedule"]}}},"components":{"schemas":{"BackupScheduleModel":{"type":"object","properties":{"createdDate":{"type":"string","format":"date-time"},"cronExpression":{"type":"string"},"description":{"type":"string"},"dgcBackupOptions":{"type":"array","items":{"type":"string","enum":["CONFIGURATION","CUSTOMIZATIONS"]},"uniqueItems":true},"environmentId":{"type":"string","format":"uuid"},"frequencyWarning":{"type":"string"},"id":{"type":"string","format":"uuid"},"maxRetained":{"type":"integer","format":"int32"},"modifiedDate":{"type":"string","format":"date-time"},"name":{"type":"string"},"nextExecution":{"type":"string","format":"date-time"},"numberOfBackups":{"type":"integer","format":"int32"},"repoBackupOptions":{"type":"array","items":{"type":"string","enum":["DATA","HISTORY"]},"uniqueItems":true},"retentionDays":{"type":"integer","format":"int32","enum":[7,30,60]},"serverTimeZoneOffset":{"type":"object","properties":{"id":{"type":"string"},"rules":{"type":"object","properties":{"fixedOffset":{"type":"boolean"},"transitionRules":{"type":"array","items":{"type":"object","properties":{"dayOfMonthIndicator":{"type":"integer","format":"int32"},"dayOfWeek":{"type":"string","enum":["MONDAY","TUESDAY","WEDNESDAY","THURSDAY","FRIDAY","SATURDAY","SUNDAY"]},"localTime":{"$ref":"#/components/schemas/LocalTime"},"midnightEndOfDay":{"type":"boolean"},"month":{"type":"string","enum":["JANUARY","FEBRUARY","MARCH","APRIL","MAY","JUNE","JULY","AUGUST","SEPTEMBER","OCTOBER","NOVEMBER","DECEMBER"]},"offsetAfter":{"type":"object","properties":{"id":{"type":"string"},"totalSeconds":{"type":"integer","format":"int32"}}},"offsetBefore":{"type":"object","properties":{"id":{"type":"string"},"totalSeconds":{"type":"integer","format":"int32"}}},"standardOffset":{"type":"object","properties":{"id":{"type":"string"},"totalSeconds":{"type":"integer","format":"int32"}}},"timeDefinition":{"type":"string","enum":["UTC","WALL","STANDARD"]}}}},"transitions":{"type":"array","items":{"type":"object","properties":{"dateTimeAfter":{"type":"string","format":"date-time"},"dateTimeBefore":{"type":"string","format":"date-time"},"duration":{"type":"object","properties":{"nano":{"type":"integer","format":"int32"},"negative":{"type":"boolean"},"positive":{"type":"boolean"},"seconds":{"type":"integer","format":"int64"},"units":{"type":"array","items":{"type":"object","properties":{"dateBased":{"type":"boolean"},"durationEstimated":{"type":"boolean"},"timeBased":{"type":"boolean"}}}},"zero":{"type":"boolean"}}},"gap":{"type":"boolean"},"instant":{"type":"string","format":"date-time"},"offsetAfter":{"type":"object","properties":{"id":{"type":"string"},"totalSeconds":{"type":"integer","format":"int32"}}},"offsetBefore":{"type":"object","properties":{"id":{"type":"string"},"totalSeconds":{"type":"integer","format":"int32"}}},"overlap":{"type":"boolean"}}}}}},"totalSeconds":{"type":"integer","format":"int32"}}}}},"LocalTime":{"type":"object","properties":{"hour":{"type":"integer","format":"int32"},"minute":{"type":"integer","format":"int32"},"nano":{"type":"integer","format":"int32"},"second":{"type":"integer","format":"int32"}}}}}}
```

## Update a backup schedule

> This endpoint is deprecated since 2025.05 and will be removed in the future. Please use PUT /consoleExportSchedule/{id}

```json
{"openapi":"3.0.3","info":{"title":"Collibra Management Console","version":"v1"},"servers":[{"url":"/rest"}],"paths":{"/backupSchedule/{id}":{"put":{"deprecated":true,"description":"This endpoint is deprecated since 2025.05 and will be removed in the future. Please use PUT /consoleExportSchedule/{id}","operationId":"update","parameters":[{"description":"The id of the schedule to update","in":"path","name":"id","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BackupScheduleUpdateRequest"}}},"description":"The updated schedule"},"responses":{"default":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BackupScheduleModel"}}},"description":"default response"}},"summary":"Update a backup schedule","tags":["backup-schedule"]}}},"components":{"schemas":{"BackupScheduleUpdateRequest":{"type":"object","properties":{"backupScheduleId":{"type":"string","format":"uuid"},"cronExpression":{"type":"string"},"description":{"type":"string"},"dgcBackupOptions":{"type":"array","items":{"type":"string","enum":["CONFIGURATION","CUSTOMIZATIONS"]},"uniqueItems":true},"maxRetained":{"type":"integer","format":"int32"},"name":{"type":"string"},"repoBackupOptions":{"type":"array","items":{"type":"string","enum":["DATA","HISTORY"]},"uniqueItems":true},"retentionDays":{"type":"integer","format":"int32","enum":[7,30,60]}}},"BackupScheduleModel":{"type":"object","properties":{"createdDate":{"type":"string","format":"date-time"},"cronExpression":{"type":"string"},"description":{"type":"string"},"dgcBackupOptions":{"type":"array","items":{"type":"string","enum":["CONFIGURATION","CUSTOMIZATIONS"]},"uniqueItems":true},"environmentId":{"type":"string","format":"uuid"},"frequencyWarning":{"type":"string"},"id":{"type":"string","format":"uuid"},"maxRetained":{"type":"integer","format":"int32"},"modifiedDate":{"type":"string","format":"date-time"},"name":{"type":"string"},"nextExecution":{"type":"string","format":"date-time"},"numberOfBackups":{"type":"integer","format":"int32"},"repoBackupOptions":{"type":"array","items":{"type":"string","enum":["DATA","HISTORY"]},"uniqueItems":true},"retentionDays":{"type":"integer","format":"int32","enum":[7,30,60]},"serverTimeZoneOffset":{"type":"object","properties":{"id":{"type":"string"},"rules":{"type":"object","properties":{"fixedOffset":{"type":"boolean"},"transitionRules":{"type":"array","items":{"type":"object","properties":{"dayOfMonthIndicator":{"type":"integer","format":"int32"},"dayOfWeek":{"type":"string","enum":["MONDAY","TUESDAY","WEDNESDAY","THURSDAY","FRIDAY","SATURDAY","SUNDAY"]},"localTime":{"$ref":"#/components/schemas/LocalTime"},"midnightEndOfDay":{"type":"boolean"},"month":{"type":"string","enum":["JANUARY","FEBRUARY","MARCH","APRIL","MAY","JUNE","JULY","AUGUST","SEPTEMBER","OCTOBER","NOVEMBER","DECEMBER"]},"offsetAfter":{"type":"object","properties":{"id":{"type":"string"},"totalSeconds":{"type":"integer","format":"int32"}}},"offsetBefore":{"type":"object","properties":{"id":{"type":"string"},"totalSeconds":{"type":"integer","format":"int32"}}},"standardOffset":{"type":"object","properties":{"id":{"type":"string"},"totalSeconds":{"type":"integer","format":"int32"}}},"timeDefinition":{"type":"string","enum":["UTC","WALL","STANDARD"]}}}},"transitions":{"type":"array","items":{"type":"object","properties":{"dateTimeAfter":{"type":"string","format":"date-time"},"dateTimeBefore":{"type":"string","format":"date-time"},"duration":{"type":"object","properties":{"nano":{"type":"integer","format":"int32"},"negative":{"type":"boolean"},"positive":{"type":"boolean"},"seconds":{"type":"integer","format":"int64"},"units":{"type":"array","items":{"type":"object","properties":{"dateBased":{"type":"boolean"},"durationEstimated":{"type":"boolean"},"timeBased":{"type":"boolean"}}}},"zero":{"type":"boolean"}}},"gap":{"type":"boolean"},"instant":{"type":"string","format":"date-time"},"offsetAfter":{"type":"object","properties":{"id":{"type":"string"},"totalSeconds":{"type":"integer","format":"int32"}}},"offsetBefore":{"type":"object","properties":{"id":{"type":"string"},"totalSeconds":{"type":"integer","format":"int32"}}},"overlap":{"type":"boolean"}}}}}},"totalSeconds":{"type":"integer","format":"int32"}}}}},"LocalTime":{"type":"object","properties":{"hour":{"type":"integer","format":"int32"},"minute":{"type":"integer","format":"int32"},"nano":{"type":"integer","format":"int32"},"second":{"type":"integer","format":"int32"}}}}}}
```

## Delete a backup schedule

> This endpoint is deprecated since 2025.05 and will be removed in the future. Please use DELETE /consoleExportSchedule/{id}

```json
{"openapi":"3.0.3","info":{"title":"Collibra Management Console","version":"v1"},"servers":[{"url":"/rest"}],"paths":{"/backupSchedule/{id}":{"delete":{"deprecated":true,"description":"This endpoint is deprecated since 2025.05 and will be removed in the future. Please use DELETE /consoleExportSchedule/{id}","operationId":"delete","parameters":[{"description":"The id of the schedule to delete","in":"path","name":"id","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"204":{"description":"successful operation"}},"summary":"Delete a backup schedule","tags":["backup-schedule"]}}}}
```

## Retrieve all backups created by a backup schedule

> This endpoint is deprecated since 2025.05 and will be removed in the future. Please use GET /consoleExportSchedule/{id}/consoleExports

```json
{"openapi":"3.0.3","info":{"title":"Collibra Management Console","version":"v1"},"servers":[{"url":"/rest"}],"paths":{"/backupSchedule/{id}/backups":{"get":{"deprecated":true,"description":"This endpoint is deprecated since 2025.05 and will be removed in the future. Please use GET /consoleExportSchedule/{id}/consoleExports","operationId":"getBackupsByScheduleId","parameters":[{"description":"The id of the schedule","in":"path","name":"id","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"default":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/BackupModel"}}}},"description":"default response"}},"summary":"Retrieve all backups created by a backup schedule","tags":["backup-schedule"]}}},"components":{"schemas":{"BackupModel":{"type":"object","properties":{"backupInformation":{"$ref":"#/components/schemas/BackupInformationModel"},"createdDate":{"type":"string","format":"date-time"},"id":{"type":"string","format":"uuid"},"inProgress":{"type":"boolean"},"key":{"type":"string"},"modifiedDate":{"type":"string","format":"date-time"},"size":{"type":"integer","format":"int64"},"stepStateMap":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/StepStateModel"}}}},"BackupInformationModel":{"type":"object","properties":{"appVersion":{"type":"string"},"backupSpecificationId":{"type":"string","format":"uuid"},"createdByEmail":{"type":"string"},"date":{"type":"string","format":"date-time"},"description":{"type":"string"},"dgcBackupOptions":{"type":"array","items":{"type":"string","enum":["CONFIGURATION","CUSTOMIZATIONS"]},"uniqueItems":true},"environmentId":{"type":"string","format":"uuid"},"expirationDate":{"type":"string","format":"date-time"},"name":{"type":"string"},"repoBackupOptions":{"type":"array","items":{"type":"string","enum":["DATA","HISTORY"]},"uniqueItems":true},"retentionDays":{"type":"integer","format":"int32"}}},"StepStateModel":{"type":"object","properties":{"errorMessage":{"type":"string"},"status":{"type":"string","enum":["UNKNOWN","WAITING","RUNNING","COMPLETED","ERROR","CANCELLED"]}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.collibra.com/api/references/console/backup-schedule.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
